/* 
        audio.cc

	MASL/M-MASL Copyright (c) KUNI/TDU
        Windows version Copyright (c) 1995, 1996 Tomoatsu Shimada  (shimarin)
	X Window System version Copyright (c)1997 Yamahata Isaku (ISA-9)
*/

#include "audio.h"

int Audio::audio;
int Audio::sampleRate=DEFAULT_SAMPLE_RATE;
Bool Audio::isDeviceOpened=False;
Bool Audio::isAudioDisabled=False;

#if defined OPEN_SOUND_SYSTEM
# include "audio/audioOpenSoundSystem.cc"
#elif defined sunos4
# include "audio/audioSunOs4.cc"
#elif defined solaris
# include "audio/audioSolaris.cc"
#else  //NOAUDIO嵭̵PCM̵
# include "audio/audioNoAudio.cc"
#endif
